#!/bin/sh -e

# Pull asciidoctor with the best tool available
if [ -x /bin/axel ]
then
   axel --output=tmp.tgz https://github.com/asciidoctor/asciidoctor/archive/refs/tags/v2.0.14.tar.gz
else
   curl --output tmp.tgz https://github.com/asciidoctor/asciidoctor/archive/refs/tags/v2.0.14.tar.gz
fi

# Unpack it and set its bindir into PATH for building FVWM docs
tar xf tmp.tgz
export PATH="$PWD/asciidoctor-2.0.14/bin/:$PATH"

./autogen.sh

./configure        \
   --prefix=/usr   \
   --enable-mandoc

make
make DESTDIR="$1" install
